import request from '@/utils/request'
// 查询预约时段配置信息列表
export function getReservatTime(data) {
  return request({
    'url': '/reservat/time/list',
    'method': 'get',
	'data':data
  })
}
// 新增预约
export function getReservatAdd(data) {
  return request({
    'url': '/system/reservat/add',
    'method': 'post',
	'data':data
  })
}
// 查询预约信息列表
export function getReservatList(data) {
  return request({
    'url': '/system/reservat/list',
    'method': 'get',
	'data':data
  })
}
// 查询预约信息列表
export function getReservatListNoPage(data) {
  return request({
    'url': '/system/reservat/listNoPage',
    'method': 'get',
	'data':data
  })
}
// 查询预约信息详情
export function getReservatDetailh5(data) {
  return request({
    'url': '/system/reservat/detail/'+data,
    'method': 'get',
  })
}
// 取消预约
export function getReservatRemoveh5(data) {
  return request({
    'url': '/system/reservat/remove/'+data,
    'method': 'get',
  })
}
// 审核
export function getReservatSh(data) {
  return request({
    'url': '/system/reservat/sh',
    'method': 'post',
	'data':data
  })
}
// end

// 查询预约配置信息列表
export function getConfigList(data) {
  return request({
    'url': '/reservat/config/list',
    'method': 'get',
	'data':data
  })
}
// H5时段信息 日历
export function getCalendarList(data) {
  return request({
    'url': '/boman/common/reservatConfig/calendar',
    'method': 'post',
	'data':data
  })
}

// 预约详情
export function getReservatDetail(data) {
  return request({
    'url': '/system/reservat/'+data,
    'method': 'get',
  })
}
// 取消预约
export function getReservatDel(data) {
  return request({
    'url': '/system/reservat/delete/'+data,
    'method': 'get',
  })
}
// 预约首页统计 system:reservat:add
export function getReservatcountl(data) {
  return request({
    'url': '/boman/common/indexStatistics',
    'method': 'post',
	'data':data
  })
}
// 预约信息核销 system:reservat:cav
export function getReservatvav(data) {
  return request({
    'url': '/system/reservat/hx',
    'method': 'get',
	'data':data
  })
}
// 预约须知
export function getNewsList(data) {
  return request({
    'url': '/system/news/list',
    'method': 'get',
	'data':data
  })
}
// 设备列表接口
export function getCameraList(data) {
  return request({
    'url': '/camera/list',
    'method': 'get',
	'data':data
  })
}
// 控制设备列表-打开
export function getVideoOpenDz(data) {
  return request({
    'url': '/camera/video/openDz',
    'method': 'get',
	'data':data
  })
}
// 控制设备列表-关闭
export function getVideoCloseDz(data) {
  return request({
   'url': '/camera/video/closeDz',
   'method': 'get',
   'data':data
  })
}
// 开关闸记录-列表
export function getDoorList(data) {
  return request({
   'url': '/system/door/list',
   'method': 'get',
   'data':data
  })
}
// 设备列表接口
export function getCameraVideo(data) {
  return request({
    'url': '/camera/video/'+data,
    'method': 'get',
  })
}
// APP首页统计预约和订餐
export function getYydcCont(data) {
  return request({
    'url': '/statistics/app/yydc',
    'method': 'get',
	'data':data
  })
}

// 每日食谱-列表system:menuFood:list
export function getMenuList(data) {
  return request({
    'url': '/system/menuFood/list',
    'method': 'get',
	'data':data
  })
}
// 每日食谱-详情system:menuFood:query
export function getMenuDetail(data) {
  return request({
    'url': '/system/menuFood/'+data,
    'method': 'get',
  })
}
// 每日食谱-新增system:menuFood:add
export function getMenuAdd(data) {
  return request({
    'url': '/system/menuFood',
    'method': 'post',
	'data':data
  })
}
// 每日食谱-修改system:menuFood:edit
export function getMenuPut(data) {
  return request({
    'url': '/system/menuFood/put',
    'method': 'post',
	'data':data
  })
}
// 每日食谱-删除system:menuFood:remove
export function getMenuDel(data) {
  return request({
    'url': '/system/menuFood/delete/'+data,
    'method': 'get',
  })
}
// 每日食谱记录-列表system:foodRecord:list
export function getMenuRecordList(data) {
  return request({
    'url': '/system/foodRecord/list',
    'method': 'get',
	'data':data
  })
}


// 获取验证码
export function sendSmskmFn(data) {
  return request({
    'url': '/sendSms/sendRegisterSms',
    'method': 'post',
	'data':data,
  })
}
// 控制设备列表-打开
export function getOpenDzFn(data) {
  return request({
    'url': '/camera/yzm/openDz',
    'method': 'get',
	'data':data,
  })
}




// 新的end